com.hazelcast.util.scheduler

## Class ScheduledEntry<K,V>

- java.lang.Object
- - com.hazelcast.util.scheduler.ScheduledEntry<K,V>

- Type Parameters:
    `K` - key type of scheduled entry
    `V` - value type of scheduled entry
  All Implemented Interfaces:
    Map.Entry<K,V>

      public final class ScheduledEntry<K,V>
      extends Object
      implements Map.Entry<K,V>

  Entry wrapper with schedule time information to be used in `SecondsBasedEntryTaskScheduler`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScheduledEntry(K key, V value, long scheduledDelayMillis, int actualDelaySeconds, long scheduleId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `long` | `getActualDelayMillis()`
    `int` | `getActualDelaySeconds()`
    `K` | `getKey()`
    `long` | `getScheduledDelayMillis()`
    `long` | `getScheduleId()`
    `V` | `getValue()`
    `int` | `hashCode()`
    `V` | `setValue(V value)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map.Entry

      `comparingByKey, comparingByKey, comparingByValue, comparingByValue`

- - ### Constructor Detail

    - #### ScheduledEntry

          public ScheduledEntry(K key,
                                V value,
                                long scheduledDelayMillis,
                                int actualDelaySeconds,
                                long scheduleId)

  - ### Method Detail

    - #### getKey

          public K getKey()

      Specified by:
        `getKey` in interface `Map.Entry<K,V>`

    - #### getValue

          public V getValue()

      Specified by:
        `getValue` in interface `Map.Entry<K,V>`

    - #### setValue

          public V setValue(V value)

      Specified by:
        `setValue` in interface `Map.Entry<K,V>`

    - #### getScheduledDelayMillis

          public long getScheduledDelayMillis()

    - #### getActualDelaySeconds

          public int getActualDelaySeconds()

    - #### getScheduleId

          public long getScheduleId()

    - #### getActualDelayMillis

          public long getActualDelayMillis()

    - #### equals

          public boolean equals(Object o)

      Specified by:
        `equals` in interface `Map.Entry<K,V>`
      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `Map.Entry<K,V>`
      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020. All rights reserved.